Bug 428169 - SELinux is preventing /usr/lib/firefox-1.5.0.12/firefox-bin from loading /usr/lib/mozilla/plugins/nppdf.so which requires text relocation.
SELinux is preventing /usr/lib/firefox-1.5.0.12/firefox-bin from loading ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Martin Stransky
desktop-bugs@redhat.com
:
Depends On: 250249
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-09 14:01 EST by Kenneth Morgan
Modified: 2008-07-21 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 03:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenneth Morgan 2008-01-09 14:01:27 EST
Description of problem:

Summary
    SELinux is preventing /usr/lib/firefox-1.5.0.12/firefox-bin from loading
    /usr/lib/mozilla/plugins/nppdf.so which requires text relocation.

Detailed Description
    The /usr/lib/firefox-1.5.0.12/firefox-bin application attempted to load
    /usr/lib/mozilla/plugins/nppdf.so which requires text relocation.  This is a
    potential security problem. Most libraries do not need this permission.
    Libraries are sometimes coded incorrectly and request this permission.  The
    http://people.redhat.com/drepper/selinux-mem.html web page explains how to
    remove this requirement.  You can configure SELinux temporarily to allow
    /usr/lib/mozilla/plugins/nppdf.so to use relocation as a workaround, until
    the library is fixed. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Allowing Access
    If you trust /usr/lib/mozilla/plugins/nppdf.so to run correctly, you can
    change the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
    /usr/lib/mozilla/plugins/nppdf.so"

    The following command will allow this access:
    chcon -t textrel_shlib_t /usr/lib/mozilla/plugins/nppdf.so

Additional Information        

Source Context                user_u:system_r:unconfined_t
Target Context                system_u:object_r:lib_t
Target Objects                /usr/lib/mozilla/plugins/nppdf.so [ file ]
Affected RPM Packages         firefox-1.5.0.12-7.el5 [application]
Policy RPM                    selinux-policy-2.4.6-106.el5_1.3
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.allow_execmod
Host Name                     population.genetics.mcgill.ca
Platform                      Linux population.genetics.mcgill.ca
                              2.6.18-53.1.4.el5 #1 SMP Wed Nov 14 10:37:33 EST
                              2007 i686 athlon
Alert Count                   2
Line Numbers                  

Raw Audit Messages            

avc: denied { execmod } for comm="firefox-bin" dev=dm-0 egid=500 euid=500
exe="/usr/lib/firefox-1.5.0.12/firefox-bin" exit=-13 fsgid=500 fsuid=500 gid=500
items=0 path="/usr/lib/mozilla/plugins/nppdf.so" pid=13983
scontext=user_u:system_r:unconfined_t:s0 sgid=500
subj=user_u:system_r:unconfined_t:s0 suid=500 tclass=file
tcontext=system_u:object_r:lib_t:s0 tty=(none) uid=500




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Martin Stransky 2008-03-10 07:39:13 EDT
It's a known problem in Adobe Readed plugin.
Comment 2 Martin Stransky 2008-03-10 07:41:11 EDT
See Bug 250249.
Comment 3 Martin Stransky 2008-07-15 03:37:24 EDT
You can setsebool allow_ns_plugin_execmem=1

Note You need to log in before you can comment on or make changes to this bug.